#ifdef USE_PRAGMA_IDENT_HDR
#pragma ident "@(#)prefetch_linux_amd64.inline.hpp	1.10 07/05/05 17:04:48 JVM"
#endif
/*
 * Copyright 2003-2004 Sun Microsystems, Inc.  All Rights Reserved.
 * Copyright 2007-2008 Reservoir Labs, Inc.  All Rights Reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 *  
 */

inline void Prefetch::read(void* loc, intx interval) 
{
#if 0 //HACK: assembler does not like 'pref'
  __asm__ volatile(
    "   .set noat             \n\t"
    "   addu  $at, %0, %1    \n\t"
    "   pref  0, 0($at)      \n\t"
    "   .set at               \n\t"
    :
    : "r" (loc), "r" (interval)
    : "memory", "at");
#endif //HACK
}

inline void Prefetch::write(void* loc, intx interval)
{
#if 0 //HACK: assembler does not like 'pref'
  __asm__ volatile(
    "   .set noat             \n\t"
    "   addu  $at, %0, %1    \n\t"
    "   pref  1, 0($at)      \n\t"
    "   .set at               \n\t"
    :
    : "r" (loc), "r" (interval)
    : "memory", "at");
#endif //HACK
}
